# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['aiogram',
 'aiogram.client',
 'aiogram.client.session',
 'aiogram.client.session.middlewares',
 'aiogram.dispatcher',
 'aiogram.dispatcher.event',
 'aiogram.dispatcher.filters',
 'aiogram.dispatcher.fsm',
 'aiogram.dispatcher.fsm.storage',
 'aiogram.dispatcher.handler',
 'aiogram.dispatcher.middlewares',
 'aiogram.dispatcher.webhook',
 'aiogram.methods',
 'aiogram.types',
 'aiogram.utils',
 'aiogram.utils.i18n']

package_data = \
{'': ['*']}

install_requires = \
['aiofiles>=0.7.0,<0.8.0',
 'aiohttp>=3.8.0,<4.0.0',
 'magic-filter>=1.0.3,<2.0.0',
 'pydantic>=1.8.2,<2.0.0']

extras_require = \
{'docs': ['Sphinx>=4.2.0,<5.0.0',
          'sphinx-intl>=2.0.1,<3.0.0',
          'sphinx-autobuild>=2021.3.14,<2022.0.0',
          'sphinx-copybutton>=0.4.0,<0.5.0',
          'furo>=2021.9.8,<2022.0.0',
          'sphinx-prompt>=1.5.0,<2.0.0',
          'Sphinx-Substitution-Extensions>=2020.9.30,<2021.0.0',
          'towncrier>=21.3.0,<22.0.0',
          'pygments>=2.4,<3.0',
          'pymdown-extensions>=8.0,<9.0',
          'markdown-include>=0.6,<0.7'],
 'fast:sys_platform == "darwin" or sys_platform == "linux"': ['uvloop>=0.16.0,<0.17.0'],
 'i18n': ['Babel>=2.9.1,<3.0.0'],
 'proxy': ['aiohttp-socks>=0.5.5,<0.6.0'],
 'redis': ['aioredis>=2.0.0,<3.0.0']}

setup_kwargs = {
    'name': 'aiogram',
    'version': '3.0.0a18',
    'description': 'Modern and fully asynchronous framework for Telegram Bot API',
    'long_description': '#######\naiogram\n#######\n\n.. danger::\n    This version still in development!\n\n.. image:: https://img.shields.io/pypi/l/aiogram.svg\n    :target: https://opensource.org/licenses/MIT\n    :alt: MIT License\n\n.. image:: https://img.shields.io/pypi/pyversions/aiogram.svg\n    :target: https://pypi.python.org/pypi/aiogram\n    :alt: Supported python versions\n\n.. image:: https://img.shields.io/badge/Telegram%20Bot%20API-5.4-blue.svg?logo=telegram\n    :target: https://core.telegram.org/bots/api\n    :alt: Telegram Bot API\n\n.. image:: https://github.com/aiogram/aiogram/workflows/Tests/badge.svg?branch=dev-3.x\n    :target: https://github.com/aiogram/aiogram/actions\n    :alt: Tests\n\n.. image:: https://img.shields.io/pypi/v/aiogram.svg\n    :target: https://pypi.python.org/pypi/aiogram\n    :alt: PyPi Package Version\n\n.. image:: https://img.shields.io/pypi/status/aiogram.svg\n    :target: https://pypi.python.org/pypi/aiogram\n    :alt: PyPi status\n\n.. image:: https://img.shields.io/pypi/dm/aiogram.svg\n    :target: https://pypi.python.org/pypi/aiogram\n    :alt: Downloads\n\n.. image:: https://img.shields.io/badge/telegram-aiogram-blue.svg\n    :target: https://t.me/aiogram_live\n    :alt: [Telegram] aiogram live\n\n.. image:: https://img.shields.io/codecov/c/github/aiogram/aiogram?style=flat-square\n    :target: https://app.codecov.io/gh/aiogram/aiogram\n    :alt: Codecov\n\n**aiogram** modern and fully asynchronous framework for\n`Telegram Bot API <https://core.telegram.org/bots/api>`_ written in Python 3.8 with\n`asyncio <https://docs.python.org/3/library/asyncio.html>`_ and\n`aiohttp <https://github.com/aio-libs/aiohttp>`_.\n\nIt helps you to make your bots faster and simpler.\n\n.. danger::\n\n    **Breaking News:**\n\n    *aiogram* 3.0 has breaking changes.\n\n    It breaks backwards compatibility by introducing new breaking changes!\n\nFeatures\n========\n\n- Asynchronous (`asyncio docs <https://docs.python.org/3/library/asyncio.html>`_, :pep:`492`)\n- Has type hints (:pep:`484`) and can be used with `mypy <http://mypy-lang.org/>`_\n- Supports `Telegram Bot API 5.3 <https://core.telegram.org/bots/api>`_\n- Telegram Bot API integration code was `autogenerated <https://github.com/aiogram/tg-codegen>`_ and can be easy re-generated when API was updated\n- Updates router (Blueprints)\n- Finite State Machine\n- Middlewares (incoming updates and API calls)\n- Provides `Replies into Webhook <https://core.telegram.org/bots/faq#how-can-i-make-requests-in-response-to-updates>`_\n- Integrated I18n/L10n support with GNU Gettext (or Fluent)\n\n.. warning::\n\n    Before start using **aiogram** is highly recommend to know how to work\n    with `asyncio <https://docs.python.org/3/library/asyncio.html>`_.\n\n    Also if you has questions you can go to our community chats in Telegram:\n\n    - `English language <https://t.me/aiogram>`_\n    - `Russian language <https://t.me/aiogram_ru>`_\n',
    'author': 'Alex Root Junior',
    'author_email': 'jroot.junior@gmail.com',
    'maintainer': 'Alex Root Junior',
    'maintainer_email': 'jroot.junior@gmail.com',
    'url': 'https://aiogram.dev/',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
